% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/process_corrections_MC.R
\name{process_corrections_MC}
\alias{process_corrections_MC}
\title{Correction Workflow for Multiple Choice Exams}
\usage{
process_corrections_MC(
  MC.answerfile,
  MC.answerfile.sep,
  MC.keyfile,
  MC.keyfile.type,
  MC.keyfile.sep,
  MC.prefix.prelim,
  edozFile,
  correct,
  wrong,
  type,
  gradeFunction.name,
  gradeFunction.settings,
  number.replace.source,
  number.replace.dest,
  rdataFile,
  subtask.label,
  minPoints,
  maxPoints,
  stepsize
)
}
\arguments{
\item{MC.answerfile}{File name of export file of MC-software.}

\item{MC.answerfile.sep}{Separator used in \code{MC.answerfile}.}

\item{MC.keyfile}{File name of file containing solutions.}

\item{MC.keyfile.type}{Type of \code{MC.keyfile}. Either \code{"TF"} for 
TRUE/FALSE questions or \code{"AB"} for questions where the correct options 
between e.g. a) - d) has to be found (single choice questions).}

\item{MC.keyfile.sep}{Separator used in \code{MC.keyfile}.}

\item{MC.prefix.prelim}{Prefix which is used for columns containing ticked boxes
in \code{MC.answerfile}. Typically \code{"ticked"}.}

\item{edozFile}{File name of edoz file.}

\item{correct}{Number of points for correct answer.}

\item{wrong}{Number of points for wrong answer.}

\item{type}{Type of MC questions. Either \code{"SC"} (single choice) or 
\code{"kprim"} (k-prim)}

\item{gradeFunction.name}{Name of the grading function, e.g., \code{"gradesPiecewiseLinear"}.}

\item{gradeFunction.settings}{A list containting the options for \code{gradeFunction.name}.}

\item{number.replace.source}{Vector of Legi-numbers which will be replaced.}

\item{number.replace.dest}{Destination Legi-numbers of the numbers in 
\code{number.replace.source}.}

\item{rdataFile}{If not \code{NULL}, the relevant R objects will be stored in this file.}

\item{subtask.label}{Only used for student overview page: Either \code{"character"}
or \code{"numeric"}. For \code{"character"} the sub-tasks will be labeled
with lowercase letters, for \code{"numeric"} the sub-tasks will be enumerated.}

\item{minPoints}{Lower end when \emph{printing} grading scale.}

\item{maxPoints}{Upper end when \emph{printing} grading scale.}

\item{stepsize}{Stepsize used when \emph{printing} grading scale.}
}
\value{
knitted results
}
\description{
This function will do the whole correction workflow for MC exams: Read
in MC-files, apply the grading scale, export the grades in edoz format and
knit the corresponding information into a tex-file (used later on for the 
overview PDF).
}
